package com.cit.sellfan.ui.pannelli;

import java.io.File;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.server.FileDownloader;
import com.vaadin.server.FileResource;
import com.vaadin.server.Resource;
import com.vaadin.server.StreamResource;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevButton;
import com.xdev.ui.XdevImage;
import com.xdev.ui.XdevVerticalLayout;

public class pannelloCondizioniVendita extends Panel {
	private VariabiliGlobali l_VG;
	public StreamResource streamFile;
	/**
	 * 
	 */
	public pannelloCondizioniVendita() {
		super();
		this.initUI();
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		this.setWidth(this.l_VG.browserWidth * 8 / 10, Unit.PIXELS);
		this.setHeight(this.l_VG.browserHeight * 8 / 10, Unit.PIXELS);
		this.image.setWidth(this.l_VG.browserWidth * 8 / 10 - 2, Unit.PIXELS);
		this.image.setHeight(this.l_VG.browserHeight * 8 / 10 - 2, Unit.PIXELS);
        String nomeFile = this.l_VG.Paths.rootResources + this.l_VG.Paths.rootTemplate + "condvendita_" + this.l_VG.currentCitFont.linguaDisplay.id + ".png";
        //Notification.show(nomeFile);
        this.streamFile = this.l_VG.getStreamResourceForImageFile(nomeFile);
        if (this.streamFile != null) {
			this.image.setSource(this.streamFile);
		}
        nomeFile = this.l_VG.Paths.rootResources + this.l_VG.Paths.rootTemplate + "condvendita_" + this.l_VG.currentCitFont.linguaDisplay.id + ".pdf";
        final File fileOutput = new File(nomeFile);
        if (fileOutput.exists()) {
            final Resource res = new FileResource(fileOutput);
           	final FileDownloader fileDownloader = new FileDownloader(res);
        	fileDownloader.extend(this.buttonDownload);
            //fileDownloader.setFileDownloadResource(res);
            this.buttonDownload.setVisible(true);
        } else {
        	this.buttonDownload.setVisible(false);
        }
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.image = new XdevImage();
		this.buttonDownload = new XdevButton();
	
		this.buttonDownload.setCaption("Download");
	
		this.image.setWidth(100, Unit.PIXELS);
		this.image.setHeight(100, Unit.PIXELS);
		this.verticalLayout.addComponent(this.image);
		this.buttonDownload.setSizeUndefined();
		this.verticalLayout.addComponent(this.buttonDownload);
		this.verticalLayout.setComponentAlignment(this.buttonDownload, Alignment.MIDDLE_CENTER);
		final CustomComponent verticalLayout_spacer = new CustomComponent();
		verticalLayout_spacer.setSizeFull();
		this.verticalLayout.addComponent(verticalLayout_spacer);
		this.verticalLayout.setExpandRatio(verticalLayout_spacer, 1.0F);
		this.verticalLayout.setSizeFull();
		this.setContent(this.verticalLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevButton buttonDownload;
	private XdevImage image;
	private XdevVerticalLayout verticalLayout;
	// </generated-code>

}
